<?php 
include("../connect.php");
include("../session.php");
//die("eli");

 ?>
 
 <!DOCTYPE html>
 <html lang="en">
   <head>
     <meta charset="utf-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1">
     <title><?= $config['CompanyName'] ?></title>
 
     <!-- Bootstrap -->
     <link href="../css/bootstrap.min.css" rel="stylesheet">
     <link rel="stylesheet" href="../css/bootstrap-combobox.css" />
 
     <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
     <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
     <!--[if lt IE 9]>
       <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
       <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
       <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
           <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
           <!-- Include all compiled plugins (below), or include individual files as needed -->
           <script src="../js/bootstrap.min.js"></script>
       	 <script src="../js/bootstrap-combobox.js"></script>
       	 <script src="../js/excellentexport.js"></script>
           <script type="text/javascript">
             $(document).ready(function(){
       //        $('.grpline').css("width", "100px");
				$('.panel-heading').after($('.panel-footer').clone().addClass('hidden-print'))
             });
           </script>

     <![endif]-->
	<link rel="stylesheet" href="../css/styles.css"/>
   </head>
   <body>
   
       <?php include("navbar.php"); ?>     

   
   <!-- Stack the columns on mobile by making one full-width and the other half-width -->
<div class="container " style="padding-top: 10px;">
	<div class="panel panel-default">
	  <div class="panel-heading form-inline">
	  <a class="btn btn-success hidden-print" role="button" style="float: right;" href="#" download="InvoiceHistory<?= $title . "(" . date("m.d.Y",strtotime($fromDate)) . " - " . date("m.d.Y",strtotime($toDate)) . ")" ?>.xls" href="#" onclick="return ExcellentExport.excel(this, 'invoicehistory', 'Invoice History');" data-toggle="tooltip" data-placement="left" title="Does not work with Internet Explorer">Export To Excel</a>
	  
	  	<div style="margin-right: 10px; float: right;">
	  			<div class="input-group hidden-print" >
	  			      <div id="clearButton" style="display: none;" class="input-group-addon" onclick="clearFilter()">
	  			      	<span class="glyphicon glyphicon-remove" aria-hidden="true"></span></div>
	  			      <input type="text" class="form-control" name="filter" placeholder="Invoice ID" value="" />
	  			      <div class="input-group-addon" onclick="filter()">
	  			      	<span class="glyphicon glyphicon-search" aria-hidden="true"></span></div>
	  			    </div>
	  	</div>
	  	
	  		    <h3 class="panel-title">Pending Credits</h3><br />
				
				
	  </div>
	  <div class="panel-body">
	  	<table class="table table-hover table-condensed" id="invoicehistory">
	  		<thead>
	  			<tr>
	  				<th>Invoice ID</th>
	  				<?= ($for != "customer") ? "<th>Customer</th>" : "" ?>
	  				<th>Invoice Date/Time</th>
	  				
	  				<th class="hidden-print">PO Number</th>
	  				<th>Salesman</th>
					<th>Status</th>
	  				<th style="text-align: center;">Total</th>
	  				<th></th>
	  			</tr>
	  			
	  		</thead>
			<tbody>
	    <?php 
	    $query = "select 
	`INVOICE_HEAD`.`InvoiceID`,
	`INVOICE_HEAD`.`AccountNumber`,
	(to_days(now()) - to_days(min(`INVOICE_HEAD`.`InvoiceDate`))) AS `ElapsedDays`,
	round(sum(if(isnull(`DETAILED_PAYMENT`.`PaymentAmount`),0,(`DETAILED_PAYMENT`.`PaymentAmount` + `DETAILED_PAYMENT`.`DiscountAmount`))),2) AS `Payment`,
	round((((`INVOICE_HEAD`.`Subtotal` + `INVOICE_HEAD`.`Tax1Total`) + `INVOICE_HEAD`.`Tax2Total`)),2) AS `Sale`,
	(round((((`INVOICE_HEAD`.`Subtotal` + `INVOICE_HEAD`.`Tax1Total`) + `INVOICE_HEAD`.`Tax2Total`)),2) - round(sum(if(isnull(`DETAILED_PAYMENT`.`PaymentAmount`),0,(`DETAILED_PAYMENT`.`PaymentAmount` + `DETAILED_PAYMENT`.`DiscountAmount`))),2)) AS `Balance`
FROM
 	(`INVOICE_HEAD` left join `DETAILED_PAYMENT` on((`INVOICE_HEAD`.`InvoiceID` = `DETAILED_PAYMENT`.`InvoiceID`))) 
WHERE ((`INVOICE_HEAD`.`Void` = 0) AND ((`DETAILED_PAYMENT`.`Void` = 0) OR isnull(`DETAILED_PAYMENT`.`Void`)) and (`INVOICE_HEAD`.`Status` = 1))
 GROUP BY InvoiceID having Balance < 0";
		$result = mysqli_query($con, $query);
	   	while ($row = mysqli_fetch_array($result)) {
	   		$invoice = new Invoice($row['InvoiceID']);
			
	   	?>
	   		<tr>
				<td>
					<!--<span class="visible-print-block"><?= $row['InvoiceID'] ?></span>-->
					<!-- Single button -->
					
					<!-- Split button -->
					<div class="btn-group">
					  <a href="mod.php?p=invoice&a=view&id=<?= $row['InvoiceID'] ?>" class="btn btn-default">
						<?= $row['InvoiceID'] ?>
					  </a>
					  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<span class="caret"></span>
						<span class="sr-only">Toggle Dropdown</span>
					  </button>
					  <ul class="dropdown-menu">
						<li><a href="mod.php?p=invoice&a=managerview&id=<?= $row['InvoiceID'] ?>">View Manager Invoice</a></li>
						
						
						
					  </ul>
					</div>
					
					
					<div class="btn-group ">
					  
					  
					</div>
					
				</td>
	   			
	   			<?= ($for != "customer") ? "<td>" . $invoice->Customer->AccountNumber . " - " . $invoice->Customer->Name . "</td>" : "" ?>
	   			<td style="white-space: nowrap;"><?= date("m/d/Y g:i a",strtotime($invoice->InvoiceDate)) ?></td>
	   			<td class="hidden-print"><?= $row['PONumber'] ?>
				</td>
				<td style="white-space: nowrap;"><?= $invoice->Salesman->ID . " - " . $invoice->Salesman->Name ?></td>
				<td><button style="font-size:12px;" data-placement="left" data-html="true" type="button" class="label <?= $statusLabelClass ?>" data-container="body" data-toggle="popover" title="<?= $status ?>" data-content="<?= $statusText ?>"><?= $status ?></a></td>
				<td style="text-align: right;"><?= moneyFormat($invoice->InvoiceTotal) ?></td>
				
	   		</tr>
	   	<?php
	   	}
	     ?>
			</tbody>
	     </table>
	  </div>
	  
	</div>

</div>       
<script type="text/javascript">

$('[name=filter]').on('keypress', function(e) {
	if (e.which == 13) {
		filter();
	}

});
function clearFilter() {
	$('[name=filter]').val("");
	$('#clearButton').css('display', 'none');
	$('tr').css('display', '');
	
}
function filter() {
	var	name = $('[name=filter]').val();
	filterByName(name);
}
function filterByName(name) {
	$('#clearButton').css('display', '');
	for (var i = 0; i < $('td').length; i=i+7) {
	
		var text = $($('td')[i]).text().trim();
		
		var result = text.toUpperCase().indexOf(name.toUpperCase());
		if (text != name) {
			$($('tr')[i/7+1]).css('display', 'none');
		}else {
			$($('tr')[i/7+1]).css('display', '');
		}
		
	}
}
function fillEditOrder(orderID) {
	clearEditOrder(); 
	$.get("functions.php?action=getOrderDetails&orderID=" + orderID, function(data) {
		data = JSON.parse(data);
		$('#EditOrderTitle').text('Edit Order #' + data.OrderID);
		$('#EditModalOrderID').val(data.OrderID);
		for (var i = 0; i < data.Items.length; i++) {
			$('#EditOrderModalBody').append('<tr><td>' + data.Items[i].Group.toString() + '<br />' + data.Items[i].Line.toString() + '</td><td>' + data.Items[i].SKU.toString() + '</td><td>' + data.Items[i].Description + ' ' + data.Items[i].Notes.toString() + '</td><td><input class="form-control EditOrderItem" style="width: 80px;" type="text" name="' + data.Items[i].ID + '" data-Key="' + data.Items[i].Group.toString() + "-" + data.Items[i].Line.toString() + "-" + data.Items[i].SKU.toString() + '" data-OriginalQty="' + data.Items[i].OrderQty + '" value="' + data.Items[i].OrderQty + '" /></td><td>' + data.Items[i].Price + '</td><td>' + parseFloat(data.Items[i].Price)*parseInt(data.Items[i].OrderQty) + '</td></tr>');
		}
		$('#EditOrderModal').modal();

	});
}
function clearEditOrder() {
	$('#EditOrderTitle').text('Edit Order');
	$('#EditModalOrderID').val('0');
	$('#EditOrderModalBody').html('');
	
}
function saveOrderInfo() {
	var items = $('.EditOrderItem');
	var changes = new Object();
	changes.OrderID = $('#EditModalOrderID').val();
	changes.Items = new Array();
	for (var i = 0; i < items.length; i++) {
		var origQty = parseInt($($('.EditOrderItem')[i]).attr("data-OriginalQty"));
		var newQty = parseInt($($('.EditOrderItem')[i]).val());
		var itemKey = $($('.EditOrderItem')[i]).attr("data-Key")
		if (origQty != newQty) {
			var item = new Object()
			item.ID = $($('.EditOrderItem')[i]).attr('name');
			item.NewQty = newQty;
			item.OriginalQty = origQty;
			item.ItemKey = itemKey;
			changes.Items.push(item);
		}
		
	}
	$.post("functions.php?action=saveOrderDetail", changes, function(data) {
		if(data == "true"){
			location.reload();
		}
	
	});
	
}
function processOrder(orderID){
	$.get('mod.php?p=invoice&a=functions&f=processOrder&order=' + orderID, function(data){
		alert(data);
		});
}
</script>

	<div class="modal fade" id="EditOrderModal">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	        <h4 class="modal-title" id="EditOrderTitle">Edit Order</h4>
	      </div>
	      <div class="modal-body">
	      	<input type="hidden" name="EditModalOrderID" id="EditModalOrderID" value="" />
			<table class="table table-hover table-condensed" id="orderhistory">
				<thead>
					<tr>
						<th>Group<br />Line</th>
						<th>SKU</th>
						<th>Description</th>
						
						<th>Qty</th>
						<th>Price</th>
						<th style="text-align: center;">Extension</th>
					</tr>
					
				</thead>
				<tbody id="EditOrderModalBody">
				</tbody>
				</table>
	      	
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
	        <button type="button" class="btn btn-primary" id="saveButton" onclick="saveOrderInfo()">Save</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
	<script>
		$(function () {
			$('[data-toggle="popover"]').popover();
		  });	
	</script>

   </body>
   
 </html>